#!/usr/bin/python
#

"""
Setup file to package Icon Library
"""

from distutils.core import setup
from DistUtilsExtra.command import build_extra
import shutil
import os

setup(name="icon-library",
      version="1.0",
      author="Matthew McGowan",
      author_email="matthew.joseph.mcgowan@gmail.com ",
      url="https://launchpad.net/icon-library",
      license="GNU General Public License Version 3 (GPLv3)",
      scripts=[
        'src/icon-library.py',
      ],
      data_files=[
        ("/usr/lib/icon-library", ['src/core.py', ]),
        ("/usr/lib/icon-library", ['src/custom_widgets.py', ]),
        ("/usr/lib/icon-library", ['src/dialogs.py', ]),
        ("/usr/lib/icon-library", ['src/editor.py', ]),
        ("/usr/lib/icon-library", ['src/export.py', ]),
        ("/usr/lib/icon-library", ['src/gui.py', ]),
        ("/usr/lib/icon-library", ['src/html_export.cheetah.html', ]),
        ("/usr/lib/icon-library", ['src/searchentry.py', ]),
        ("/usr/lib/icon-library", ['src/standards.py', ]),
        ("/usr/lib/icon-library", ['src/store.py', ]),
        ("/usr/share/applications", ["icon-library.desktop", ]),
      ],
      cmdclass={"build": build_extra.build_extra, }
)
